<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>

	<!--[if lte IE 6]>
	<style type="text/css" media="screen">
#top { zoom: 1; background: none; filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="<?php dcInfo('theme'); ?>/img/header_bg.png", sizingMethod="scale"); }
#middle { zoom: 1; background: none; filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="<?php dcInfo('theme'); ?>/img/middle_bg.png", sizingMethod="scale"); }
#footer { zoom: 1; background: none; filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="<?php dcInfo('theme'); ?>/img/footer_bg.png", sizingMethod="scale"); }
	</style>
	<![endif]-->

</head>

<body>
<div id="page">

<div id="top">
	<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
</div>

<div id="middle">

<div id="main">
	<div id="content">
	<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
		<div class="error"><strong>Erreur : </strong>
		<?php echo $err_msg; ?></div>
	
	<?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>
		<h3>Commentaire pour <?php dcPostTitle(); ?></h3>
		<div id="comment-preview">
			<blockquote>
			<?php dcCommentPreview(); ?>
			</blockquote>
		</div>
		
		<h3>Changer le commentaire</h3>
		<?php include dirname(__FILE__).'/form.php'; ?>
		
	<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
		<?php # Phrase affich en cas de recherche (%s est le mot cherch)
		dcSearchString('<p>R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
		?>
		
		<?php include dirname(__FILE__).'/list.php'; ?>
		
	<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
		<?php include dirname(__FILE__).'/post.php'; ?>
	<?php endif; ?>
	
	</div>
</div>

<div id="sidebar">
	<div id="calendar" class="menu">
		<h2><span>Calendrier</span></h2>
		<div class="menu-content">
			<?php #Affichage du calendrier
			dcCalendar('<table summary="Calendrier">%s</table>'); ?>
		</div>
		<div class="menu-footer">
		</div>
	</div>
	
	<div id="search" class="menu">
		<h2><span>Rechercher</span></h2>
		<div class="menu-content">
			<form action="<?php dcInfo('search'); ?>" method="get">
				<input name="q" id="q" type="text" size="18" value="<?php dcSearchString(); ?>" accesskey="4" />
				<input type="submit" class="submit" value="ok" />
			</form>
		</div>
		<div class="menu-footer">
		</div>
	</div>
	
	<?php /* Affichage du blog "selection uniquement si des billets sont
		prsents */ ?>
	<?php dcSelection('<div id="selection" class="menu"><h2><span>&Agrave; retenir</span></h2><div class="menu-content"><ul>%s</ul></div><div class="menu-footer"></div></div>'); ?>
	
	<?php dcLangList('<div id="languages" class="menu"><h2><span>Langues</span></h2><div class="menu-content"><ul>%s</ul></div><div class="menu-footer"></div></div>'); ?>
	
	<div id="categories" class="menu">
		<h2><span>Cat&eacute;gories</span></h2>
		<div class="menu-content">
			<?php dcCatList(); ?>
		</div>
		<div class="menu-footer">
		</div>
	</div>

	<div id="archives" class="menu">
		<h2><span>Archives</span></h2>
		<div class="menu-content">
			<?php dcMonthsList(); ?>
		</div>
		<div class="menu-footer">
		</div>
	</div>
	
	<div id="links" class="menu">
		<h2><span>Liens</span></h2>
		<div class="menu-content">
			<?php dcBlogroll::linkList(); ?>
		</div>
		<div class="menu-footer">
		</div>
	</div>
	
	<div id="syndicate" class="menu">
		<h2><span>Syndication</span></h2>
		<div class="menu-content">
			<ul>
				<li><a href="<?php dcInfo('rss'); ?>">fil rss</a></li>
				<li><a href="<?php dcInfo('rss'); ?>?type=co">fil rss commentaires</a></li>
				<li><a href="<?php dcInfo('atom'); ?>">fil atom</a></li>
				<li><a href="<?php dcInfo('atom'); ?>?type=co">fil atom commentaires</a></li>
			</ul>
		</div>
		<div class="menu-footer">
		</div>
	</div>
</div>
<div class="clearboth"></div>
</div> <!-- end #middle -->
<div class="clearboth"></div>
<div id="footer">
	<span class="right">Design by <a href="http://www.easyweb-consulting.net">Easyweb Consulting</a></span>
	<span class="left"><a href="http://www.dotclear.net/">Propuls&eacute; par DotClear</a></span>
</div>

</div> <!-- end #page -->

</body>
</html>
